org.jbpm.process.audit.event

## Class DefaultAuditEventBuilderImpl

- java.lang.Object
- - org.jbpm.process.audit.event.DefaultAuditEventBuilderImpl

- All Implemented Interfaces:
    AuditEventBuilder
  Direct Known Subclasses:
    ManagedAuditEventBuilderImpl, ServicesAwareAuditEventBuilder

      public class DefaultAuditEventBuilderImpl
      extends Object
      implements AuditEventBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAuditEventBuilderImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessCompletedEvent pce, Object log)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessNodeLeftEvent pnle, Object log)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte, Object log)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessStartedEvent pse)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessVariableChangedEvent pvce)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAuditEventBuilderImpl

          public DefaultAuditEventBuilderImpl()

  - ### Method Detail

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessStartedEvent pse)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessCompletedEvent pce,
                              Object log)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte,
                              Object log)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessNodeLeftEvent pnle,
                              Object log)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessVariableChangedEvent pvce)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.